#!/usr/bin/gnuplot

set terminal postscript
set output "plot.eps"

set xdata time
set timefmt "%s"

set style data lines
set y2tics nomirror
set ytics nomirror
set xlabel "time of measurement"
set ylabel "temperature [deg. C]"
set xtics rotate by 270

set multiplot layout 1,2

set y2label "total free memory [MiB]"
plot "data.txt" using 1:($5/1000) axes x1y1 title "temp", "" using 1:(($2+$3)/1024) axes x1y2 title "free mem"

set y2label "load average past minute"
plot "data.txt" using 1:($5/1000) axes x1y1 title "temp", "" using 1:4 axes x1y2 title "load avg"

unset multiplot
